diff -r dd9ec0c74ad4 code/ryzom/server/src/server_share/mysql_wrapper.cpp
--- a/code/ryzom/server/src/server_share/mysql_wrapper.cpp      Wed May 12 13:18:57 2010 +0200
+++ b/code/ryzom/server/src/server_share/mysql_wrapper.cpp      Wed May 19 11:08:35 2010 +0200
@@ -25,6 +25,7 @@

 CVariable<bool>                MSWStrictMode("msw", "MSWStrictMode", "Set the strict mode on SQL request", true, 0, true);
 CVariable<uint32>      MSWRequestDuration("msw", "MSWRequestDuration", "Measure the duration of SQL request", 0, 1000);
+CVariable<bool>                MSWAutoReconnect("msw", "MSWAutoReconnect", "MYSQL_OPT_RECONNECT", true, 0, true);


 namespace MSW
@@ -111,6 +112,11 @@
                _ConnDefaultDatabase = defaultDatabase;

                nlassert(!_Connected);
+
+               if (MSWAutoReconnect)
+               {
+                       addOption(MYSQL_OPT_RECONNECT, "1");
+               }

                return _connect();
        }
